#!/usr/bin/env python
from __future__ import print_function

import fnmatch
import os
import sys

try:
  from titlecase import titlecase
except ImportError:
  print("Please install titlecase")

def main(location):
      # Spelling exceptions
      with open('.spelling') as f:
          spelling = f.readlines()

      def abbreviations(word, **kwargs):
          if word+"\n" in spelling:
              return word

      # Open the file and read the lines as a list
      with open(location) as f:
          lines = f.readlines()

      # Loop through the list of lines and titlecase
      # any line beginning with '#'.
      return_value = 0
      prev_line = lines.pop(0)
      disabled = 0
      print(`location`)
      for line in lines:
          if line.startswith("``") and disabled == 0:
              disabled = 1
          else:
              if line.startswith("``") and disabled == 1:
                  disabled = 0
          if line.startswith('#') and disabled == 0:
            if line != titlecase(line[:(line.find("]"))], callback=abbreviations)+line[(line.find("]")):]:
              print()
              print("-"+line,end="") 
              print("+"+titlecase(line[:(line.find("]"))], callback=abbreviations)+line[(line.find("]")):],end="") 
              return_value = 1
          if (line.startswith('---') or line.startswith('===')) and disabled == 0:
            if prev_line != titlecase(prev_line[:(prev_line.find("]"))], callback=abbreviations)+prev_line[(prev_line.find("]")):]:
              print()
              print("-"+prev_line,end="")
              print("+"+titlecase(prev_line[:(prev_line.find("]"))], callback=abbreviations)+prev_line[(prev_line.find("]")):],end="") 
              return_value = 1
          prev_line = line
      if return_value == 0:
          print("==Ok==")
      exit(return_value)
if __name__ == "__main__":
  try:
      main(sys.argv[1])
  except IndexError:
      main('.')
